package cn.hmsoft.ltc.service.impl;

import org.springframework.stereotype.Component;

import cn.hmsoft.ltc.service.iface.AwesomeActionService;

@Component
public class AwesomeActionServiceImpl implements AwesomeActionService {

    @Override
    public String processName(final String name) {
        if(name.equals("Anton")) {
            return "Hello Anton!";
        }
        else {
            return "Hello Unknown Stranger!";
        }
    }

}
